package com.heyu.api.data.dao.calca;
/**
* <p>
* 接口调用记录表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.calca.CalcaDaysStatisticsEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface CalcaDaysStatisticsDao extends BaseMapper<CalcaDaysStatisticsEntity> {


	CalcaDaysStatisticsEntity selectCalcaDaysStatisticsById(@Param("id")Long id);


	Long insertCalcaDaysStatistics(CalcaDaysStatisticsEntity calcaDaysStatistics);


	Long insertOrUpdateCalcaDaysStatistics(CalcaDaysStatisticsEntity calcaDaysStatistics);


	int updateCalcaDaysStatisticsById(CalcaDaysStatisticsEntity calcaDaysStatistics);


	int updateCoverCalcaDaysStatisticsById(CalcaDaysStatisticsEntity calcaDaysStatistics);


	int deleteCalcaDaysStatisticsById(@Param("id")Long id);


}